summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRich Salz <rsalz@openssl.org>2015-04-10 11:37:53 -0400
committerRich Salz <rsalz@openssl.org>2015-04-10 11:40:25 -0400
commite71cecd551f1d8beca20681184d94f7000a5e333 (patch)
treea0fb381f1991e18103486f5f5a1519f890678013
parent4118dfdcc8aa2c2cf496bb33cbc1b9581c33af2f (diff)
fix to "test script cleanup"
Fix commit 30f54ad295d58ff8c6d28c1fd612d23c2c343d19 which used non-portable syntax for checking exit status. Reviewed-by: Matt Caswell <matt@openssl.org>
-rw-r--r--test/testca6
1 files changed, 3 insertions, 3 deletions
diff --git a/test/testca b/test/testca
index 8961cf8448..d4d0159726 100644
--- a/test/testca
+++ b/test/testca
@@ -17,11 +17,11 @@ export OPENSSL
/bin/rm -fr demoCA
-# Could do '...CA.pl -newca || exot 1 << EOF
+# Could do '...CA.pl -newca <<EOF || exit 1
# EOF' but that seems too obscure to me. :)
OPENSSL_CONFIG=/dev/null $PERL ../apps/CA.pl -newca <<EOF
EOF
-[ $? == 0 ] || exit 1
+[ $? -eq 0 ] || exit 1
SSLEAY_CONFIG="-config Uss.cnf"
export SSLEAY_CONFIG
@@ -35,7 +35,7 @@ $PERL ../apps/CA.pl -sign <<EOF
y
y
EOF
-[ $? == 0 ] || exit 1
+[ $? -eq 0 ] || exit 1
$PERL ../apps/CA.pl -verify newcert.pem || exit 1